MKFWUMDATA(1)

NAME
mkfwumdata - create FWU metadata image

SYNOPSIS
mkfwumdata [-a activeidx] [-p previousidx] [-g] -i imagecount -b bankcount UUIDs outputimage
mkfwumdata -h

DESCRIPTION
mkfwumdata creates metadata info to be used with FWU.

OPTIONS

-h  Print usage information and exit.

-a  Set activeidx as the currently active Bank. Default is 0.

-p  Set previousidx as the previous active Bank. Default is activeidx-1 or bankcount-1, whichever is non-negative.

-g  Convert the UUIDs as GUIDs before use.

-i  Specify there are imagecount images in each bank.

-b  Specify there are a total of bankcount banks.

UUIDs
    Comma-separated list of UUIDs required to create the metadata :- location_uuid,image_type_uuid,<images per bank uuid list of all banks>

outputimage
    Specify the name of the metadata image file to be created.

BUGS
Please report bugs to the U-Boot bug tracker (https://source.denx.de/u-boot/u-boot/issues).

EXAMPLES
Create a metadata image with 2 banks and 1 image/bank, BankAct=0, BankPrev=1:

    $
    mkfwumdata -a 0 -p 1 -b 2 -i 1 \\
    17e86d77-41f9-4fd7-87ec-a55df9842de5,\\
    10c36d7d-ca52-b843-b7b9-f9d6c501d108,\\
    5a66a702-99fd-4fef-a392-c26e261a2828,a8f868a1-6e5c-4757-878d-ce63375ef2c0 \\
    fwu-mdata.img